# List product relations

Retrieves a paginated list of relations for a product.

Endpoint: GET /v1/products/{productUuid}/relations
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `productUuid` (string, required)
    The unique identifier of the product.

## Query parameters:

  - `uuids[eq]` (array)

  - `productReferenceUuids[eq]` (array)

  - `productRelationTypeUuids[eq]` (array)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this product relation.

  - `items.productUuid` (string, required)
    Identifier of the source product owning this relation.

  - `items.productReferenceUuid` (string, required)
    Identifier of the target product being referenced.

  - `items.createdAt` (string, required)
    Timestamp when this relation was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when this relation was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.productRelationTypeUuid` (string, required)
    Identifier of the product relation type.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


